package net.javajigi.user;

import org.springframework.core.ErrorCoded;

public class PasswordMismatchException extends Exception implements ErrorCoded {
	private static final String ERROR_CODED = "password.mismatch.exception";
	
	private String userId;
	
	public PasswordMismatchException(String userId) {
		this.userId = userId;
	}

	public String getErrorCode() {
		return ERROR_CODED;
	}
	
	public String getUserId() {
		return userId;
	}
}
