package net.javajigi.user.web;

import net.javajigi.user.model.User;

import org.springframework.util.StringUtils;
import org.springframework.validation.Errors;

public class UserValidator {
	public void validate(User user, Errors errors) {
		String userId = user.getUserId();
		if( !StringUtils.hasLength(userId) ){
			errors.rejectValue("userId", "userId.required", "required");
		}
	}
}