package net.javajigi.user.web.coc;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.user.model.User;
import net.javajigi.user.service.UserService;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.multiaction.MultiActionController;

public class User2Controller extends MultiActionController {
	private UserService userService;
	
	public void setUserService(UserService userService) {
		this.userService = userService;
	}
	
	@SuppressWarnings("unchecked")
	public ModelAndView xmlList(HttpServletRequest request, HttpServletResponse response) throws Exception {
		List<User> users = userService.findUserList();
		
		ModelAndView mav = new ModelAndView("xmlView");
		mav.addObject("users", users);

		return mav;
	}
	
	@SuppressWarnings("unchecked")
	public ModelAndView excelList(HttpServletRequest request, HttpServletResponse response) throws Exception {
		List<User> users = userService.findUserList();
		
		ModelAndView mav = new ModelAndView("excelView");
		mav.addObject("users", users);

		return mav;
	}	
}
