<%@page contentType="text/html; charset=utf-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<html>
<head>
<title>사용자 관리</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel=stylesheet href="${pageContext.request.contextPath}/css/global.css" type="text/css">
<link rel=stylesheet href="${pageContext.request.contextPath}/css/user.css" type="text/css">

</head>
<body bgcolor=#FFFFFF text=#000000 leftmargin=0 topmargin=0 marginwidth=0 marginheight=0>
<br>
<table width="600" border="0" align="center">
<tr>
	<td bgcolor="f4f4f4" height="22">&nbsp;&nbsp;<b>사용자 관리 - 리스트</b></td>
</tr>
<tr>
	<td>
  	<!-- list -->
	<table border="0" width="100%" cellpadding="0" cellspacing="1" bgcolor="BBBBBB">
  	<tr>
		<td width=20% align=center bgcolor="E6ECDE" height="22">
			<fmt:message key="user.id"/>
		</td>
		<td width=20% align=center bgcolor="E6ECDE">
			<fmt:message key="user.name"/>
		</td>
		<td align=center bgcolor="E6ECDE">
			<fmt:message key="user.email"/>
		</td>
  	</tr>
  	<c:forEach items="${users}" var="user">
  	<tr>
		<td width=20% align=center bgcolor="ffffff" height="20">
			${user.userId}
		</td>
		<td width=20% bgcolor="ffffff" style="padding-left:10">
			<a id="${user.userId}" href="${pageContext.request.contextPath}/user/view.do?userId=${user.userId}" class="user">${user.name}</a>
		</td>
		<td align=center bgcolor="ffffff">
			${user.email}
		</td>
  	</tr>
  	</c:forEach>
	</table>
	<!-- /list -->	 
	</td>
</tr>
<tr>
	<td align="right">
		<input type="button" 
			onClick="location.href='/user/addForm.do'" 
			value="사용자 추가"/>
	</td>
</tr>
</table>  
</body>
</html>