package net.javajigi.user;

import org.springframework.core.ErrorCoded;

public class ExistedUserException extends Exception implements ErrorCoded {
	private static final String ERROR_CODE = "user.existed.exception";
	
	private String userId;
	
	public ExistedUserException(String userId) {
		this.userId = userId;
	}
	
	public String getErrorCode() {
		return ERROR_CODE;
	}
	
	public String getUserId() {
		return userId;
	}
}
